TSPLUGINVCIOBUFFERINDEXGET(3ts)

NAME
TSPluginVCIOBufferIndexGet - TSPluginVCIOBufferIndexGet API function

SYNOPSIS

            #include <ts/ts.h>

    TSIOBufferSizeIndex TSPluginVCIOBufferIndexGet(TSHttpTxn txnp)

DESCRIPTION

Convenience function to obtain the current value of the proxy.config.plugin.vc.default_buffer_index parameter from the transaction provided in txnp. If no errors are encountered and the buffer index on the transaction is greater than or equal to the minimum value, and less than or equal to the maximum value, this value is returned. Otherwise the default buffer index is returned.

COPYRIGHT
2026, dev@trafficserver.apache.org